import numpy
from model import *
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from EnumDefinitions import *
from solve import *
from MatlabFuncs import *

md=triangle(model(),'../Exp/Square.exp',150000.)
md=setmask(md,'','')
md=parameterize(md,'../Par/SquareSheetConstrained.py')
md.extrude(5,1.)
md=setflowequation(md,'hutter','all')
md.cluster=generic('name',oshostname(),'np',3)
md.timestepping.time_adapt=1
md.timestepping.final_time=500.
md=solve(md,TransientSolutionEnum())

#Fields and tolerances to track changes
field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1',\
	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2']
	#'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3']
field_tolerances=[1e-13,  1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,\
	5*1e-11,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,\
	1e-10,  1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13]
field_values=[\
	md.results['TransientSolution'][1]['Vx'],\
	md.results['TransientSolution'][1]['Vy'],\
	md.results['TransientSolution'][1]['Vz'],\
	md.results['TransientSolution'][1]['Vel'],\
	md.results['TransientSolution'][1]['Pressure'],\
	md.results['TransientSolution'][1]['Bed'],\
	md.results['TransientSolution'][1]['Surface'],\
	md.results['TransientSolution'][1]['Thickness'],\
	md.results['TransientSolution'][1]['Temperature'],\
	md.results['TransientSolution'][1]['BasalforcingsMeltingRate'],\
	md.results['TransientSolution'][2]['Vx'],\
	md.results['TransientSolution'][2]['Vy'],\
	md.results['TransientSolution'][2]['Vz'],\
	md.results['TransientSolution'][2]['Vel'],\
	md.results['TransientSolution'][2]['Pressure'],\
	md.results['TransientSolution'][2]['Bed'],\
	md.results['TransientSolution'][2]['Surface'],\
	md.results['TransientSolution'][2]['Thickness'],\
	md.results['TransientSolution'][2]['Temperature'],\
	md.results['TransientSolution'][2]['BasalforcingsMeltingRate'],\
#	md.results['TransientSolution'][3]['Vx'],\
#	md.results['TransientSolution'][3]['Vy'],\
#	md.results['TransientSolution'][3]['Vz'],\
#	md.results['TransientSolution'][3]['Vel'],\
#	md.results['TransientSolution'][3]['Pressure'],\
#	md.results['TransientSolution'][3]['Bed'],\
#	md.results['TransientSolution'][3]['Surface'],\
#	md.results['TransientSolution'][3]['Thickness'],\
#	md.results['TransientSolution'][3]['Temperature'],\
#	md.results['TransientSolution'][3]['BasalforcingsMeltingRate'],\
	]
